isc.defineClass("ChartPane", "VLayout").addProperties({

formDefaults: {
    _constructor: "DynamicForm",
    width: 200,
    wrapItemTitles: false,
    autoFocus: true,
	itemKeyPress: function (item, keyName, characterValue) {
	    if (keyName == "Enter") this.creator.updateChart();
	},
	numCols: 3,
    items: [
        {name: "stockSymbol", title: "Stock Symbol", defaultValue: "GOOG"}, 
        {name: "Chart", type: "button", click: "form.creator.updateChart()", startRow: false}
    ]
},
updateChart : function () {
	this.rChart.setCriteria(this.form.getValues());
},
	
rChartDefaults: {
	_constructor: "RChart",
    name: "stockChart",
	width: "900",
	height: "360"
},

autoChildren: ["form", "rChart"],
	
initWidget : function () {
	this.Super("initWidget", arguments);
	
	
	this.addAutoChildren(this.autoChildren);
	this.updateChart();
}

});