isc.defineClass("RChart", "Img").addProperties({

imageType: "normal",

initWidget : function () {
	//this.doSetSrc();
	this.Super("initWidget", arguments);
},

resized : function () {
	this.doSetSrc();
	this.resetSrc();
},

draw : function () {
	this.Super("draw", arguments);
	this.doSetSrc();
	this.resetSrc();
},

getCriteria : function () {
	// clone any criteria passed to us initially (don't scribble on user-provided object)
	var criteria = isc.addProperties({}, this.criteria);
	
	isc.addProperties(criteria, {
		name: this.name, 
		// coerce to string for passing to REngine
		width: this.getVisibleWidth()+"",
		height: this.getVisibleHeight()+""
	});
	return criteria;
},

setCriteria : function (criteria) {
	this.criteria = criteria;
	
	this.doSetSrc();
	this.resetSrc();
},
 
doSetSrc : function () {
    this.src = RChartDS.getFetchDataURL(this.getCriteria(), {operationId: "getChart"});
}

});